package cn.ibizlab.eam.core.eam_core.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;

import cn.ibizlab.eam.core.eam_core.domain.EMEIReportM;
import cn.ibizlab.eam.core.eam_core.filter.EMEIReportMSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[EMEIReportM] 服务对象接口
 */
public interface IEMEIReportMService extends IService<EMEIReportM>{

    EMEIReportM getDraft(EMEIReportM et) ;
    boolean create(EMEIReportM et) ;
    void createBatch(List<EMEIReportM> list) ;
    boolean save(EMEIReportM et) ;
    void saveBatch(List<EMEIReportM> list) ;
    boolean checkKey(EMEIReportM et) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    boolean update(EMEIReportM et) ;
    void updateBatch(List<EMEIReportM> list) ;
    EMEIReportM get(String key) ;
    Page<EMEIReportM> searchDefault(EMEIReportMSearchContext context) ;
    List<EMEIReportM> selectByEmpid(String pfempid) ;
    void removeByEmpid(String pfempid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

}


